Debian Bug report logs - #701125
ITP: foobillardplus -- advanced 3D OpenGL Billard game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Markus Koschany <apo@gambaru.de>

Date: Thu, 21 Feb 2013 21:00:04 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: wishlist

Fixed in version foobillardplus/3.43~svn168+dfsg-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#701125; Package wnpp. (Thu, 21 Feb 2013 21:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 21 Feb 2013 21:00:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: foobillardplus -- advanced 3D OpenGL Billard game
Date: Thu, 21 Feb 2013 21:58:56 +0100
Package: wnpp
Severity: wishlist

* Package name    : foobillardplus
  Version         : 3.43~beta+svn168 
  Upstream Author : Holger Schäkel <foobillardplus@go4more.de>
* URL             : http://foobillardplus.sourceforge.net/
* License         : GPL-2, LGPL-2.1, BSD)
  Programming Lang: C
  Description     : advanced 3D OpenGL Billard game

FooBillard++ is an advanced 3D OpenGL billiard game based on the
original foobillard 3.0a sources from Florian Berger. You can play it
with one or two players or against the computer. 

The game features: 

 * Wood paneled table with gold covers and gold diamonds.
 * Reflections on balls.
 * Zoom in and out, rotation, different angles and bird's eye view.
 * Different game modes: 8 or 9-ball, Snooker, Karambol.
 * Tournaments. Compete against other players.
 * Animated cue with strength and eccentic hit adjustment.
 * Jump shots and snipping.
 * Realistic gameplay and billiard sounds.
 * Red-Green stereo.
 * And much more.

I have already packaged the game at

http://anonscm.debian.org/gitweb/?p=pkg-games/foobillardplus.git;a=summary

and brought this topic up for discussion at

http://lists.debian.org/debian-devel-games/2013/01/msg00034.html

Unfortunately nobody seemed really interested in the game although
there was real interest in the irc channel of the games team. I invite
everyone, who is interested in foobillardplus and wants to see this
game replace the outdated foobillard, to clone the git repo. The
better if you even want to maintain it and upload it to the official
archive.    



Changed Bug title to 'ITP: foobillardplus -- advanced 3D OpenGL Billard game' from 'RFP: foobillardplus -- advanced 3D OpenGL Billard game' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Tue, 30 Jul 2013 23:03:07 GMT) Full text and rfc822 format available.

Owner recorded as Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Tue, 30 Jul 2013 23:03:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 18 Aug 2013 08:09:14 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Mon, 02 Sep 2013 18:03:39 GMT) Full text and rfc822 format available.

Notification sent to Markus Koschany <apo@gambaru.de>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 18:03:39 GMT) Full text and rfc822 format available.

Message #16 received at 701125-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 701125-close@bugs.debian.org
Subject: Bug#701125: fixed in foobillardplus 3.43~svn168+dfsg-1
Date: Mon, 02 Sep 2013 18:00:07 +0000
Source: foobillardplus
Source-Version: 3.43~svn168+dfsg-1

We believe that the bug you reported is fixed in the latest version of
foobillardplus, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701125@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated foobillardplus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Aug 2013 22:23:11 +0200
Source: foobillardplus
Binary: foobillard foobillardplus foobillardplus-data
Architecture: source all i386
Version: 3.43~svn168+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 foobillard - transitional dummy package
 foobillardplus - 3D OpenGL Billiard Game
 foobillardplus-data - 3D OpenGL Billiard Game -- data files
Closes: 226732 409961 449256 629548 636499 701125 718421
Changes: 
 foobillardplus (3.43~svn168+dfsg-1) unstable; urgency=low
 .
   * Initial release. (Closes: #701125)
   * Transition to replace the outdated foobillard with the enhanced
     successor foobillardplus. (Closes: #718421)
   * Fix menu not working or becoming invisible for the user. (Closes: #409961)
   * Fix incorrectly rendered table cloth texturing. (Closes: #636499)
   * Do not flood ~/.xsession-errors with unneeded messages anymore.
     (Closes: #449256)
   * Update homepage field and point to new upstream URL. (Closes: #629548)
   * Support red-blue glasses. (Closes: #226732)
Checksums-Sha1: 
 1df65199eaad92749e9753c83126c2e30b5eb891 1652 foobillardplus_3.43~svn168+dfsg-1.dsc
 f76e54c9daa4af4cf1272f426c2b55a7b13fd9b4 34611216 foobillardplus_3.43~svn168+dfsg.orig.tar.xz
 b398817724f428e9933d68fd49dda27199123dc5 7932 foobillardplus_3.43~svn168+dfsg-1.debian.tar.xz
 bd0740dbe43ba36cebf4fbd182f0f117206e7ffd 14936 foobillard_3.43~svn168+dfsg-1_all.deb
 8666b0db0bbfc000dafcc3506061bda04dfdbb88 1208848 foobillardplus_3.43~svn168+dfsg-1_i386.deb
 e451cd17d63e9ae414c242239aed7c87a605d0e1 19537948 foobillardplus-data_3.43~svn168+dfsg-1_all.deb
Checksums-Sha256: 
 70150b7a32e88af4eb3a13db996c9bc3585c6ab29ee3e412c0cd10230bec2d12 1652 foobillardplus_3.43~svn168+dfsg-1.dsc
 0219894b163dc2a489f2e83397fe3ac7a2cedf926eadd85ce6c751c96b98bb96 34611216 foobillardplus_3.43~svn168+dfsg.orig.tar.xz
 7d7841dfd4400673db466a926b16420c8fb7e9db53c3422b1d741eaf5e0f1f53 7932 foobillardplus_3.43~svn168+dfsg-1.debian.tar.xz
 c1df251d57fe3a70ec5e74480c04ad67a718bbd257e262dec1cfbe8264d6197c 14936 foobillard_3.43~svn168+dfsg-1_all.deb
 39735e1a3eaea900f6e26800d49cd9ee3a2db523561bfa8d701f53336eb6a9f9 1208848 foobillardplus_3.43~svn168+dfsg-1_i386.deb
 74c31a561380832f8c1d94a22d5e8476763a3fd5ebb446b6888e38d725b21383 19537948 foobillardplus-data_3.43~svn168+dfsg-1_all.deb
Files: 
 0255d89b0cd56cac2779a4585ea654c6 1652 games optional foobillardplus_3.43~svn168+dfsg-1.dsc
 be9e7dd52db74e5a7659e169e1198e28 34611216 games optional foobillardplus_3.43~svn168+dfsg.orig.tar.xz
 18aec7c9c7cf237628c7794db49d6d91 7932 games optional foobillardplus_3.43~svn168+dfsg-1.debian.tar.xz
 73187ca905b15490f6593c80b54425cc 14936 oldlibs extra foobillard_3.43~svn168+dfsg-1_all.deb
 29b4ebaa9fc59983739f10593c5816e9 1208848 games optional foobillardplus_3.43~svn168+dfsg-1_i386.deb
 f9018b0c43c5697e4446628f5fb5bba9 19537948 games optional foobillardplus-data_3.43~svn168+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIQHVUACgkQ5ItltUs5T34x/gCg3h+L+QiJnS3f5hBt7TZsUr4w
hxUAnAwoIWSFedDj0qKSI49dY8Y0qixz
=VzK2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:53:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.